#Investigate whether GIGI-Check is able to flag the right person.


fgl.data.raw = read.table(paste("~/DATA/traitSimulation/ped52/extractedData/fgl009.dat", sep=""), header=T)
trueErrorLocation = read.table("/acct/cykc/DATA/errorDetection/errorImpact/progressive/data_run9/errorInfo.set1.err10.MORGAN.D2", header=T)


D2.names=c(302,303,306,307,4010,401,402,4040,4050,406,407,4080,410,411,412,414,415,416,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516)
#D3.names=c(302,303,306,307,4010,402,4040,4050,406,4080,410,411,414,415,501,502,505,506,509,510,513,514)

D2.index = NULL
for(i in 1:length(D2.names)){
 D2.index[i] = which(fgl.data.raw[,1]==D2.names[i])
}

fgl.data.raw[trueErrorLocation[,2],]

rbind(trueErrorLocation[,1],D2.names[trueErrorLocation[,2]])


#By matching the error detection output, I see that it is able to detect 9 out of 10 markers with errors.
#Among the 9 markers that we can flagged, method A2 is able to identify 8 out of 9 subjects correctly.

